package exif

var regressExpected = map[string]map[FieldName]string{
	"2006-08-03-16-29-38-sep-2006-08-03-16-29-38a.jpg": map[FieldName]string{
		DateTime: `"2006:08:03 16:29:38"`,
		XResolution: `"180/1"`,
		ExifVersion: `"0220"`,
		CompressedBitsPerPixel: `"5/1"`,
		Flash: `24`,
		Model: `"Canon PowerShot SD600"`,
		ThumbJPEGInterchangeFormat: `5108`,
		MaxApertureValue: `"95/32"`,
		FocalLength: `"5800/1000"`,
		ColorSpace: `1`,
		FocalPlaneXResolution: `"2816000/225"`,
		DateTimeOriginal: `"2006:08:03 16:29:38"`,
		MakerNote: `""`,
		SensingMethod: `2`,
		DigitalZoomRatio: `"2816/2816"`,
		SceneCaptureType: `0`,
		FNumber: `"28/10"`,
		FocalPlaneResolutionUnit: `2`,
		FocalPlaneYResolution: `"2112000/169"`,
		Orientation: `6`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `196`,
		ExposureTime: `"1/1500"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		FileSource: `""`,
		YResolution: `"180/1"`,
		ThumbJPEGInterchangeFormatLength: `4323`,
		ShutterSpeedValue: `"338/32"`,
		ApertureValue: `"95/32"`,
		ExposureBiasValue: `"0/3"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2112`,
		WhiteBalance: `0`,
		InteroperabilityIndex: `"R98"`,
		Make: `"Canon"`,
		DateTimeDigitized: `"2006:08:03 16:29:38"`,
		UserComment: `""`,
		PixelXDimension: `2816`,
		InteroperabilityIFDPointer: `2824`,
		CustomRendered: `0`,
		ExposureMode: `0`,
	},
	"2011-01-24-22-06-02-sep-2011-01-24-22-06-02a.jpg": map[FieldName]string{
		Software: `"V 12.40"`,
		Orientation: `1`,
		XResolution: `"300/1"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `157`,
		ExifVersion: `"0220"`,
		ComponentsConfiguration: `""`,
		Model: `"6350"`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormat: `25601`,
		ThumbJPEGInterchangeFormatLength: `3385`,
		FlashpixVersion: `"0100"`,
		ColorSpace: `1`,
		PixelYDimension: `1600`,
		WhiteBalance: `0`,
		Make: `"Nokia"`,
		PixelXDimension: `1200`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		DigitalZoomRatio: `"1024/1024"`,
		MakerNote: `""`,
		DateTimeOriginal: `"2011:01:24 22:06:02"`,
		DateTimeDigitized: `"2011:01:24 22:06:02"`,
	},
	"2007-07-13-17-02-30-sep-2007-07-13-17-02-30a.jpg": map[FieldName]string{
		ImageDescription: `"Digital StillCamera"`,
		Software: `"Ver 1.00    "`,
		FNumber: `"48/10"`,
		Sharpness: `0`,
		RelatedSoundFile: `"            "`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `266`,
		ExposureTime: `"1/110"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `2`,
		SubjectDistanceRange: `0`,
		FileSource: `""`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormatLength: `20544`,
		ShutterSpeedValue: `"678/100"`,
		ApertureValue: `"45/10"`,
		ExposureBiasValue: `"0/10"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2736`,
		WhiteBalance: `0`,
		Make: `"Vivitar"`,
		DateTimeDigitized: `"2007:07:13 17:02:30"`,
		PixelXDimension: `3648`,
		InteroperabilityIFDPointer: `1010`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		InteroperabilityIndex: `"R98"`,
		DateTime: `"2007:07:13 17:02:30"`,
		ExposureProgram: `2`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `64`,
		ExifVersion: `"0220"`,
		Flash: `0`,
		FocalLengthIn35mmFilm: `35`,
		Saturation: `0`,
		Model: `"ViviCam X30 "`,
		ThumbJPEGInterchangeFormat: `1156`,
		MaxApertureValue: `"30/10"`,
		LightSource: `0`,
		ColorSpace: `1`,
		DateTimeOriginal: `"2007:07:13 17:02:30"`,
		MakerNote: `""`,
		DigitalZoomRatio: `"100/100"`,
		SceneCaptureType: `0`,
		GainControl: `0`,
		Contrast: `0`,
	},
	"FailedHash-NoDate-sep-remembory.jpg": map[FieldName]string{
		XResolution: `"150/1"`,
		ResolutionUnit: `2`,
		ExifIFDPointer: `192`,
		PixelXDimension: `1232`,
		Make: `"Brother"`,
		Orientation: `1`,
		Software: `"Apple Image Capture"`,
		PixelYDimension: `1626`,
		Model: `"MFC-7840W"`,
		YResolution: `"150/1"`,
	},
	"geodegrees_as_string.jpg": map[FieldName]string{
		ExposureProgram: `0`,
		Sharpness: `2`,
		GPSLatitudeRef: `"N"`,
		GPSLongitude: `"11,00000,10,00000,58,28360"`,
		GPSTimeStamp: `"17,00000,8,00000,29,00000"`,
		ExifIFDPointer: `114`,
		GPSInfoIFDPointer: `317`,
		ISOSpeedRatings: `125`,
		ExposureTime: `"0/1024"`,
		Saturation: `0`,
		GPSAltitude: `"0/1024"`,
		GPSLongitudeRef: `"E"`,
		GPSProcessingMethod: `"ASCII"`,
		ThumbJPEGInterchangeFormat: `539`,
		ThumbJPEGInterchangeFormatLength: `13132`,
		Model: `"HTC One_M8"`,
		ApertureValue: `"2048/1024"`,
		FocalLength: `"3072/1024"`,
		WhiteBalance: `0`,
		GPSAltitudeRef: `0`,
		Make: `"HTC"`,
		DateTimeOriginal: `"2014:04:26 19:09:19"`,
		Contrast: `0`,
		GPSLatitude: `"52,00000,50,00000,34,01180"`,
	},
	"2007-05-26-04-49-45-sep-2007-05-26-04-49-45a.jpg": map[FieldName]string{
		DateTime: `"2007:05:26 04:49:45"`,
		ExposureProgram: `2`,
		XResolution: `"300/1"`,
		ISOSpeedRatings: `50`,
		ExifVersion: `"0220"`,
		CompressedBitsPerPixel: `"4/1"`,
		Flash: `24`,
		FocalLengthIn35mmFilm: `38`,
		Saturation: `0`,
		Model: `"COOLPIX L3"`,
		ThumbJPEGInterchangeFormat: `4596`,
		MaxApertureValue: `"34/10"`,
		LightSource: `0`,
		FocalLength: `"63/10"`,
		ColorSpace: `1`,
		DateTimeOriginal: `"2007:05:26 04:49:45"`,
		MakerNote: `""`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/100"`,
		SceneCaptureType: `2`,
		GainControl: `0`,
		Contrast: `0`,
		ImageDescription: `"          "`,
		Software: `"COOLPIX L3v1.2"`,
		FNumber: `"32/10"`,
		Sharpness: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `284`,
		ExposureTime: `"10/3486"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		SubjectDistanceRange: `0`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormatLength: `10120`,
		ExposureBiasValue: `"0/10"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1944`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Make: `"NIKON"`,
		DateTimeDigitized: `"2007:05:26 04:49:45"`,
		UserComment: `"                                                                                                                     "`,
		PixelXDimension: `2592`,
		InteroperabilityIFDPointer: `1026`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		InteroperabilityIndex: `"R98"`,
	},
	"2004-01-11-22-45-15-sep-2004-01-11-22-45-15a.jpg": map[FieldName]string{
		ImageDescription: `"SAMSUNG DIGITAL CAMERA         "`,
		Software: `"M5011S-1031"`,
		FNumber: `"320/100"`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `251`,
		ExposureTime: `"1000/30000"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `2`,
		RelatedSoundFile: `""`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormatLength: `3530`,
		ExposureBiasValue: `"95/10"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1200`,
		FileSource: `""`,
		Make: `"Samsung Techwin"`,
		DateTimeDigitized: `"2004:01:11 22:45:15"`,
		PixelXDimension: `1600`,
		InteroperabilityIFDPointer: `1009`,
		InteroperabilityIndex: `"R98"`,
		DateTime: `"2004:01:11 22:45:19"`,
		ExposureProgram: `2`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `150`,
		ExifVersion: `"0220"`,
		CompressedBitsPerPixel: `"2/1"`,
		Flash: `1`,
		Model: `"U-CA 501"`,
		ThumbJPEGInterchangeFormat: `1039`,
		MaxApertureValue: `"32/10"`,
		LightSource: `0`,
		FocalLength: `"82/11"`,
		ColorSpace: `1`,
		DateTimeOriginal: `"2004:01:11 22:45:15"`,
		SceneType: `""`,
	},
	"f5-exif.jpg": map[FieldName]string{
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		ColorSpace: `65535`,
		PixelYDimension: `0`,
		PixelXDimension: `0`,
		Orientation: `5`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
	},
	"2011-08-07-19-22-57-sep-2011-08-07-19-22-57a.jpg": map[FieldName]string{
		DateTime: `"2011:08:11 09:46:32"`,
		ExposureProgram: `3`,
		SubSecTimeOriginal: `"65"`,
		XResolution: `"300/1"`,
		ISOSpeedRatings: `400`,
		ExifVersion: `"0221"`,
		Flash: `7`,
		FocalLengthIn35mmFilm: `93`,
		Saturation: `0`,
		Model: `"NIKON D200"`,
		ThumbJPEGInterchangeFormat: `802`,
		MaxApertureValue: `"43/10"`,
		LightSource: `0`,
		FocalLength: `"620/10"`,
		SubSecTimeDigitized: `"65"`,
		Contrast: `0`,
		DateTimeOriginal: `"2011:08:07 19:22:57"`,
		SensingMethod: `2`,
		SceneType: `""`,
		CFAPattern: `""`,
		DigitalZoomRatio: `"1/1"`,
		SceneCaptureType: `0`,
		GainControl: `1`,
		Software: `"Ver.1.00"`,
		FNumber: `"45/10"`,
		SubjectDistance: `"63/100"`,
		Sharpness: `0`,
		ResolutionUnit: `2`,
		ExifIFDPointer: `186`,
		ExposureTime: `"1/30"`,
		MeteringMode: `2`,
		SubjectDistanceRange: `0`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormatLength: `9117`,
		ShutterSpeedValue: `"4906891/1000000"`,
		ApertureValue: `"433985/100000"`,
		ExposureBiasValue: `"2/6"`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Make: `"NIKON CORPORATION"`,
		DateTimeDigitized: `"2011:08:07 19:22:57"`,
		CustomRendered: `0`,
		ExposureMode: `0`,
	},
	"2010-06-20-20-07-39-sep-2010-06-20-20-07-39a.jpg": map[FieldName]string{
		ThumbJPEGInterchangeFormat: `3408`,
		ApertureValue: `"116/32"`,
		MaxApertureValue: `"116/32"`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"4718592/65536"`,
		UserComment: `""`,
		SensingMethod: `2`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		MakerNote: `""`,
		DateTime: `"2010:10:31 22:39:25"`,
		FNumber: `"35/10"`,
		Software: `"QuickTime 7.6.6"`,
		ExifIFDPointer: `302`,
		ExposureTime: `"1/10"`,
		ISOSpeedRatings: `800`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"3/1"`,
		XResolution: `"4718592/65536"`,
		ThumbJPEGInterchangeFormatLength: `5126`,
		ShutterSpeedValue: `"106/32"`,
		ExposureBiasValue: `"0/3"`,
		FocalLength: `"9681/1000"`,
		ColorSpace: `1`,
		PixelYDimension: `2736`,
		FocalPlaneXResolution: `"3648000/241"`,
		Model: `"Canon PowerShot SD1200 IS"`,
		FileSource: `""`,
		DateTimeOriginal: `"2010:06:20 20:07:39"`,
		DateTimeDigitized: `"2010:06:20 20:07:39"`,
		PixelXDimension: `3648`,
		DigitalZoomRatio: `"3648/3648"`,
		Make: `"Canon"`,
		FocalPlaneResolutionUnit: `2`,
		ImageDescription: `"                               "`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifVersion: `"0220"`,
		MeteringMode: `5`,
		Flash: `16`,
		FocalPlaneYResolution: `"2736000/181"`,
		Orientation: `1`,
	},
	"f1-exif.jpg": map[FieldName]string{
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
		PixelXDimension: `0`,
		Orientation: `1`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `134`,
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:02"`,
		FlashpixVersion: `"0100"`,
		ColorSpace: `65535`,
		PixelYDimension: `0`,
	},
	"2007-01-17-21-49-44-sep-2007-01-17-21-49-44a.jpg": map[FieldName]string{
		DateTimeDigitized: `"2007:01:17 21:49:44"`,
		MakerNote: `"6106789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456"`,
		PixelXDimension: `2816`,
		SensingMethod: `2`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ApertureValue: `"33/10"`,
		ExposureBiasValue: `"0/10"`,
		LightSource: `0`,
		FocalLength: `"73/10"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2112`,
		YResolution: `"180/1"`,
		DateTime: `"2007:01:17 21:49:44"`,
		Flash: `24`,
		ExposureMode: `0`,
		ExifVersion: `"0220"`,
		DateTimeOriginal: `"2007:01:17 21:49:44"`,
		MaxApertureValue: `"297/100"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
		ThumbJPEGInterchangeFormat: `956`,
		ThumbJPEGInterchangeFormatLength: `7024`,
		MeteringMode: `2`,
		InteroperabilityIndex: `"R98"`,
		ExifIFDPointer: `266`,
		ExposureTime: `"1/30"`,
		Software: `"1.00.018PR         "`,
		ShutterSpeedValue: `"491/100"`,
		ImageDescription: `"Digital image  "`,
		Model: `"6MP-9Y8        "`,
		XResolution: `"180/1"`,
		ISOSpeedRatings: `50`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `832`,
		CustomRendered: `0`,
		SceneCaptureType: `0`,
		Make: `"Digital Camera                 "`,
		Orientation: `1`,
		FileSource: `""`,
		FNumber: `"33/10"`,
		ExposureProgram: `2`,
	},
	"2009-04-23-07-21-35-sep-2009-04-23-07-21-35a.jpg": map[FieldName]string{
		DateTime: `"2009:04:23 07:21:35"`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `100`,
		ExifVersion: `"0220"`,
		CompressedBitsPerPixel: `"13301888/4915200"`,
		Flash: `9`,
		FocalLengthIn35mmFilm: `35`,
		Saturation: `0`,
		Model: `"PENTAX Optio S50"`,
		ThumbJPEGInterchangeFormat: `31176`,
		MaxApertureValue: `"28/10"`,
		FocalLength: `"58/10"`,
		ColorSpace: `1`,
		DateTimeOriginal: `"2009:04:23 07:21:35"`,
		MakerNote: `""`,
		DigitalZoomRatio: `"0/100"`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		Software: `"Optio S50 Ver 1.00"`,
		FNumber: `"26/10"`,
		Sharpness: `0`,
		SubjectDistanceRange: `3`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `590`,
		ExposureTime: `"1/40"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormatLength: `6015`,
		ExposureBiasValue: `"0/10"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1920`,
		WhiteBalance: `0`,
		Make: `"PENTAX Corporation"`,
		DateTimeDigitized: `"2009:04:23 07:21:35"`,
		PixelXDimension: `2560`,
		InteroperabilityIFDPointer: `31040`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		InteroperabilityIndex: `"R98"`,
	},
	"f2-exif.jpg": map[FieldName]string{
		ColorSpace: `65535`,
		PixelYDimension: `0`,
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
		PixelXDimension: `0`,
		Orientation: `2`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
	},
	"2011-10-28-17-50-18-sep-2011-10-28-17-50-18a.jpg": map[FieldName]string{
		MeteringMode: `5`,
		UserComment: `""`,
		InteroperabilityIndex: `"R03"`,
		ExifIFDPointer: `364`,
		ExposureTime: `"1/60"`,
		ShutterSpeedValue: `"393216/65536"`,
		SubSecTimeOriginal: `"92"`,
		SubSecTimeDigitized: `"92"`,
		FocalPlaneResolutionUnit: `2`,
		GPSVersionID: `[2,2,0,0]`,
		Model: `"Canon EOS 5D Mark II"`,
		Software: `"Adobe Photoshop CS4 Macintosh"`,
		XResolution: `"720000/10000"`,
		ISOSpeedRatings: `800`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `1120`,
		FocalPlaneYResolution: `"3744000/958"`,
		CustomRendered: `0`,
		Make: `"Canon"`,
		Orientation: `1`,
		SceneCaptureType: `0`,
		FNumber: `"4/1"`,
		ExposureProgram: `2`,
		DateTimeDigitized: `"2011:10:28 17:50:18"`,
		PixelXDimension: `576`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ApertureValue: `"262144/65536"`,
		ExposureBiasValue: `"0/1"`,
		FocalLength: `"34/1"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `864`,
		FocalPlaneXResolution: `"5616000/1459"`,
		YResolution: `"720000/10000"`,
		DateTime: `"2011:11:08 07:27:55"`,
		DateTimeOriginal: `"2011:10:28 17:50:18"`,
		Flash: `9`,
		SubSecTime: `"92"`,
		ExposureMode: `0`,
		GPSInfoIFDPointer: `1152`,
		ExifVersion: `"0221"`,
		ColorSpace: `65535`,
		WhiteBalance: `1`,
		ThumbJPEGInterchangeFormat: `1266`,
		ThumbJPEGInterchangeFormatLength: `6186`,
	},
	"2006-12-17-07-09-14-sep-2006-12-17-07-09-14a.jpg": map[FieldName]string{
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormat: `31172`,
		MaxApertureValue: `"27/10"`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		MakerNote: `""`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		ExposureProgram: `2`,
		Software: `"Optio S6 Ver 1.00"`,
		DateTime: `"2006:12:17 07:09:14"`,
		FNumber: `"270/100"`,
		ISOSpeedRatings: `64`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"5725504/3145728"`,
		Saturation: `0`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `586`,
		ExposureTime: `"1/160"`,
		FocalLength: `"62/10"`,
		ColorSpace: `1`,
		PixelYDimension: `1536`,
		Model: `"PENTAX Optio S6"`,
		ThumbJPEGInterchangeFormatLength: `7063`,
		ExposureBiasValue: `"0/10"`,
		PixelXDimension: `2048`,
		InteroperabilityIFDPointer: `31048`,
		DigitalZoomRatio: `"100/100"`,
		InteroperabilityIndex: `"R98"`,
		Make: `"PENTAX Corporation"`,
		DateTimeOriginal: `"2006:12:17 07:09:14"`,
		DateTimeDigitized: `"2006:12:17 07:09:14"`,
		Sharpness: `0`,
		ExifVersion: `"0220"`,
		MeteringMode: `5`,
		Flash: `24`,
		FocalLengthIn35mmFilm: `38`,
		SubjectDistanceRange: `2`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
	},
	"2006-12-21-15-55-26-sep-2006-12-21-15-55-26a.jpg": map[FieldName]string{
		InteroperabilityIndex: `"R98"`,
		ExifIFDPointer: `256`,
		ExposureTime: `"10/400"`,
		CompressedBitsPerPixel: `"8/1"`,
		MeteringMode: `3`,
		Saturation: `0`,
		ImageDescription: `"                               "`,
		Model: `"DSC-W15"`,
		InteroperabilityIFDPointer: `2278`,
		CustomRendered: `0`,
		SceneCaptureType: `0`,
		Make: `"SONY"`,
		Orientation: `1`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `100`,
		ComponentsConfiguration: `""`,
		Contrast: `0`,
		FNumber: `"28/10"`,
		ExposureProgram: `2`,
		FileSource: `""`,
		SceneType: `""`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		DateTimeDigitized: `"2006:12:21 15:55:26"`,
		MakerNote: `""`,
		PixelXDimension: `2592`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1944`,
		YResolution: `"72/1"`,
		DateTime: `"2006:12:21 15:55:26"`,
		ExposureBiasValue: `"-20/10"`,
		LightSource: `0`,
		FocalLength: `"79/10"`,
		ExifVersion: `"0220"`,
		DateTimeOriginal: `"2006:12:21 15:55:26"`,
		Flash: `79`,
		ExposureMode: `1`,
		Sharpness: `0`,
		ThumbJPEGInterchangeFormat: `2484`,
		ThumbJPEGInterchangeFormatLength: `13571`,
		MaxApertureValue: `"48/16"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
	},
	"2011-03-07-09-28-03-sep-2011-03-07-09-28-03a.jpg": map[FieldName]string{
		FileSource: `""`,
		Model: `"GU295"`,
		ThumbJPEGInterchangeFormatLength: `9850`,
		ColorSpace: `1`,
		PixelYDimension: `960`,
		PixelXDimension: `1280`,
		InteroperabilityIFDPointer: `538`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/0"`,
		Make: `"LG Elec."`,
		DateTimeOriginal: `"2011:03:07 09:28:03"`,
		DateTimeDigitized: `"2011:03:07 09:28:03"`,
		BrightnessValue: `"0/1024"`,
		InteroperabilityIndex: `"R98"`,
		Sharpness: `0`,
		MeteringMode: `2`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifVersion: `"0220"`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormat: `662`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		CustomRendered: `1`,
		ExposureMode: `0`,
		Contrast: `0`,
		Software: `"GU295-MSM1530032L-V10i-APR-22-2010-ATT-US"`,
		ExposureProgram: `2`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `224`,
		ComponentsConfiguration: `""`,
		Saturation: `0`,
	},
	"2007-02-02-18-13-29-sep-2007-02-02-18-13-29a.jpg": map[FieldName]string{
		ExifVersion: `"0220"`,
		Flash: `25`,
		CustomRendered: `0`,
		DigitalZoomRatio: `"0/0"`,
		Orientation: `1`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `200`,
		MaxApertureValue: `"28/10"`,
		ThumbJPEGInterchangeFormat: `31098`,
		ThumbJPEGInterchangeFormatLength: `8800`,
		ExposureProgram: `2`,
		ExposureTime: `"1/60"`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `586`,
		FocalLength: `"580/100"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"72/1"`,
		Software: `"Optio S5z Ver 1.00 "`,
		DateTime: `"2007:02:02 18:13:29"`,
		InteroperabilityIFDPointer: `30974`,
		ExposureMode: `0`,
		FocalLengthIn35mmFilm: `35`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		Make: `"PENTAX Corporation "`,
		DateTimeOriginal: `"2007:02:02 18:13:29"`,
		ComponentsConfiguration: `""`,
		Sharpness: `0`,
		FNumber: `"26/10"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
		MakerNote: `""`,
		PixelXDimension: `2560`,
		Saturation: `0`,
		SubjectDistanceRange: `2`,
		DateTimeDigitized: `"2007:02:02 18:13:29"`,
		CompressedBitsPerPixel: `"27033600/4915200"`,
		MeteringMode: `5`,
		Model: `"PENTAX Optio S5z "`,
		ExposureBiasValue: `"0/3"`,
		PixelYDimension: `1920`,
	},
	"2009-06-11-19-23-18-sep-2009-06-11-19-23-18a.jpg": map[FieldName]string{
		ExifIFDPointer: `264`,
		ExposureTime: `"1/4"`,
		DateTimeDigitized: `"2009:06:11 19:23:18"`,
		MeteringMode: `1`,
		PixelXDimension: `1400`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		Software: `"Adobe Photoshop CS3 Macintosh"`,
		DateTime: `"2009:06:23 18:42:05"`,
		ApertureValue: `"11257/1627"`,
		ExposureBiasValue: `"0/1"`,
		FocalLength: `"47/1"`,
		PixelYDimension: `2100`,
		Model: `"Canon EOS DIGITAL REBEL XTi"`,
		YResolution: `"3500000/10000"`,
		XResolution: `"3500000/10000"`,
		ISOSpeedRatings: `200`,
		ExifVersion: `"0220"`,
		DateTimeOriginal: `"2009:06:11 19:23:18"`,
		Flash: `16`,
		Make: `"Canon"`,
		Orientation: `1`,
		ExposureProgram: `1`,
		ColorSpace: `65535`,
		ThumbJPEGInterchangeFormat: `606`,
		ThumbJPEGInterchangeFormatLength: `7150`,
	},
	"2011-10-28-18-25-43-sep-2011-10-28-18-25-43.jpg": map[FieldName]string{
		ImageUniqueID: `"7fa4f6d028df5f2fc1bad8102be81064"`,
		ISOSpeedRatings: `1250`,
		Saturation: `0`,
		MaxApertureValue: `"50/10"`,
		LightSource: `0`,
		FocalLength: `"800/10"`,
		SubSecTimeDigitized: `"50"`,
		ColorSpace: `1`,
		DateTimeOriginal: `"2011:10:28 18:25:43"`,
		SceneType: `""`,
		CFAPattern: `""`,
		DigitalZoomRatio: `"1/1"`,
		GainControl: `2`,
		Contrast: `0`,
		FNumber: `"56/10"`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExposureTime: `"10/600"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormatLength: `3670`,
		SubSecTime: `"50"`,
		InteroperabilityIFDPointer: `3604`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		DateTime: `"2011:10:28 18:25:43"`,
		ExposureProgram: `0`,
		SubSecTimeOriginal: `"50"`,
		XResolution: `"300/1"`,
		ExifVersion: `"0221"`,
		CompressedBitsPerPixel: `"2/1"`,
		Flash: `31`,
		FocalLengthIn35mmFilm: `120`,
		Model: `"NIKON D80"`,
		ThumbJPEGInterchangeFormat: `3728`,
		MakerNote: `""`,
		SensingMethod: `2`,
		SceneCaptureType: `0`,
		Software: `"Ver.1.11 "`,
		Sharpness: `0`,
		ExifIFDPointer: `208`,
		SubjectDistanceRange: `0`,
		ExposureBiasValue: `"0/6"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `537`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Make: `"NIKON CORPORATION"`,
		DateTimeDigitized: `"2011:10:28 18:25:43"`,
		UserComment: `"ASCII                                    "`,
		PixelXDimension: `800`,
		InteroperabilityIndex: `"R98"`,
	},
	"2008-06-02-10-03-57-sep-2008-06-02-10-03-57a.jpg": map[FieldName]string{
		Orientation: `1`,
		XResolution: `"288/3"`,
		ISOSpeedRatings: `100`,
		ExifVersion: `"0220"`,
		Flash: `65`,
		DigitalZoomRatio: `"100/100"`,
		ThumbJPEGInterchangeFormat: `3756`,
		ThumbJPEGInterchangeFormatLength: `5972`,
		ExposureProgram: `7`,
		MaxApertureValue: `"2970/1000"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `226`,
		ExposureTime: `"10/600"`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		FocalLength: `"6200/1000"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"288/3"`,
		Software: `"00.00.1240a"`,
		DateTime: `"2008:06:13 06:16:19"`,
		ShutterSpeedValue: `"5907/1000"`,
		ApertureValue: `"2970/1000"`,
		LightSource: `4`,
		Make: `"Polaroid"`,
		DateTimeOriginal: `"2008:06:02 10:03:57"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `3620`,
		ExposureMode: `0`,
		FNumber: `"2800/1000"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Sharpness: `0`,
		DateTimeDigitized: `"2008:06:13 06:16:19"`,
		CompressedBitsPerPixel: `"5896224/3145728"`,
		MeteringMode: `4`,
		MakerNote: `""`,
		PixelXDimension: `2048`,
		SensingMethod: `2`,
		Model: `"i533"`,
		Copyright: `"Copyright 2006"`,
		ExposureBiasValue: `"0/10"`,
		PixelYDimension: `1536`,
	},
	"2007-08-24-02-40-42-sep-2007-08-24-02-40-42a.jpg": map[FieldName]string{
		DateTimeOriginal: `"2007:08:24 02:40:42"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `2206`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Make: `"Canon"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		FNumber: `"100/10"`,
		CompressedBitsPerPixel: `"5/1"`,
		MeteringMode: `5`,
		MakerNote: `""`,
		UserComment: `""`,
		PixelXDimension: `2592`,
		SensingMethod: `2`,
		DateTimeDigitized: `"2007:08:24 02:40:42"`,
		ExposureBiasValue: `"0/3"`,
		PixelYDimension: `1944`,
		FocalPlaneResolutionUnit: `2`,
		Model: `"Canon PowerShot SD450"`,
		XResolution: `"180/1"`,
		ExifVersion: `"0220"`,
		Flash: `24`,
		FocalPlaneYResolution: `"1944000/168"`,
		CustomRendered: `0`,
		DigitalZoomRatio: `"2592/2592"`,
		Orientation: `1`,
		ThumbJPEGInterchangeFormatLength: `2084`,
		MaxApertureValue: `"147/32"`,
		ThumbJPEGInterchangeFormat: `5108`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `196`,
		ExposureTime: `"1/400"`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		DateTime: `"2007:08:24 02:40:42"`,
		ShutterSpeedValue: `"277/32"`,
		ApertureValue: `"213/32"`,
		FocalLength: `"17400/1000"`,
		FlashpixVersion: `"0100"`,
		FocalPlaneXResolution: `"2592000/225"`,
		YResolution: `"180/1"`,
	},
	"2007-06-26-10-13-04-sep-2007-06-26-10-13-04a.jpg": map[FieldName]string{
		LightSource: `0`,
		ColorSpace: `1`,
		PixelYDimension: `1536`,
		FileSource: `""`,
		Model: `"DV"`,
		ThumbJPEGInterchangeFormatLength: `6292`,
		ShutterSpeedValue: `"7/1"`,
		ExposureBiasValue: `"1/4"`,
		InteroperabilityIFDPointer: `1170`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		Make: `"CEC"`,
		DateTimeOriginal: `"2007:06:26 10:13:04"`,
		DateTimeDigitized: `"2007:06:26 10:13:04"`,
		PixelXDimension: `2048`,
		ImageDescription: `"My beautiful picture"`,
		MeteringMode: `2`,
		Flash: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifVersion: `"0210"`,
		MaxApertureValue: `"3/1"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"384/1"`,
		Copyright: `"Copyright2004"`,
		ThumbJPEGInterchangeFormat: `1306`,
		ApertureValue: `"3/1"`,
		MakerNote: `""`,
		SensingMethod: `2`,
		ExposureIndex: `"146/1"`,
		Software: `"DVWare 1.0"`,
		DateTime: `"2007:06:26 10:13:04"`,
		FNumber: `"3/1"`,
		ExposureProgram: `3`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"6389872/3145728"`,
		RelatedSoundFile: `"RelatedSound"`,
		XResolution: `"320/1"`,
		ExposureTime: `"23697424/268435456"`,
		ExifIFDPointer: `262`,
		ISOSpeedRatings: `100`,
	},
	"2007-06-06-16-15-25-sep-2007-06-06-16-15-25a.jpg": map[FieldName]string{
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormat: `4596`,
		MaxApertureValue: `"30/10"`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		MakerNote: `""`,
		UserComment: `"                                                                                                                     "`,
		CustomRendered: `0`,
		ExposureProgram: `2`,
		Software: `"E3700v1.2"`,
		DateTime: `"2007:06:06 16:15:25"`,
		FNumber: `"48/10"`,
		ISOSpeedRatings: `50`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"2/1"`,
		Saturation: `0`,
		XResolution: `"300/1"`,
		ExifIFDPointer: `284`,
		ExposureTime: `"10/2870"`,
		LightSource: `0`,
		FocalLength: `"54/10"`,
		ColorSpace: `1`,
		PixelYDimension: `1536`,
		FileSource: `""`,
		Model: `"E3700"`,
		ThumbJPEGInterchangeFormatLength: `5967`,
		ExposureBiasValue: `"0/10"`,
		PixelXDimension: `2048`,
		InteroperabilityIFDPointer: `1026`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/100"`,
		GainControl: `0`,
		Make: `"NIKON"`,
		DateTimeOriginal: `"2007:06:06 16:15:25"`,
		DateTimeDigitized: `"2007:06:06 16:15:25"`,
		InteroperabilityIndex: `"R98"`,
		ImageDescription: `"          "`,
		Sharpness: `0`,
		ExifVersion: `"0220"`,
		MeteringMode: `5`,
		Flash: `24`,
		FocalLengthIn35mmFilm: `35`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
	},
	"2009-03-26-09-23-20-sep-2009-03-26-09-23-20a.jpg": map[FieldName]string{
		InteroperabilityIndex: `"R98"`,
		ExifIFDPointer: `196`,
		ExposureTime: `"1/500"`,
		CompressedBitsPerPixel: `"5/1"`,
		MeteringMode: `5`,
		UserComment: `""`,
		Model: `"Canon PowerShot SD750"`,
		ShutterSpeedValue: `"287/32"`,
		FocalPlaneResolutionUnit: `2`,
		InteroperabilityIFDPointer: `3334`,
		FocalPlaneYResolution: `"2304000/169"`,
		CustomRendered: `0`,
		Make: `"Canon"`,
		Orientation: `1`,
		XResolution: `"180/1"`,
		ISOSpeedRatings: `160`,
		ComponentsConfiguration: `""`,
		DigitalZoomRatio: `"3072/3072"`,
		SceneCaptureType: `0`,
		FNumber: `"28/10"`,
		FileSource: `""`,
		SensingMethod: `2`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		DateTimeDigitized: `"2009:03:26 09:23:20"`,
		MakerNote: `""`,
		PixelXDimension: `3072`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2304`,
		FocalPlaneXResolution: `"3072000/225"`,
		YResolution: `"180/1"`,
		DateTime: `"2009:03:26 09:23:20"`,
		ApertureValue: `"95/32"`,
		ExposureBiasValue: `"0/3"`,
		FocalLength: `"5800/1000"`,
		ExifVersion: `"0220"`,
		DateTimeOriginal: `"2009:03:26 09:23:20"`,
		Flash: `24`,
		ExposureMode: `0`,
		ThumbJPEGInterchangeFormat: `5108`,
		ThumbJPEGInterchangeFormatLength: `5513`,
		MaxApertureValue: `"95/32"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
	},
	"2011-05-07-13-02-49-sep-2011-05-07-13-02-49a.jpg": map[FieldName]string{
		DateTimeDigitized: `"2011:05:07 13:02:49"`,
		PixelXDimension: `2048`,
		SceneType: `""`,
		GPSLatitude: `["0/1","0/1","0/100"]`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		PixelYDimension: `1536`,
		GPSLongitude: `["0/1","0/1","0/100"]`,
		YResolution: `"72/1"`,
		FlashpixVersion: `"0100"`,
		DateTimeOriginal: `"2011:05:07 13:02:49"`,
		GPSLongitudeRef: `"E"`,
		GPSAltitude: `"0/1"`,
		GPSInfoIFDPointer: `502`,
		ExifVersion: `"0220"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
		GPSAltitudeRef: `0`,
		GPSDateStamp: `"2011:05:07 "`,
		ThumbJPEGInterchangeFormat: `920`,
		ThumbJPEGInterchangeFormatLength: `22806`,
		InteroperabilityIndex: `"R98"`,
		ExifIFDPointer: `218`,
		GPSTimeStamp: `["19/1","3/1","43/1"]`,
		GPSVersionID: `[2,2,0,0]`,
		GPSLatitudeRef: `"N"`,
		GPSMapDatum: `"WGS-84"`,
		Model: `"RAPH800"`,
		Software: `"M7500BSAAAAAAD3050"`,
		XResolution: `"72/1"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `472`,
		Contrast: `0`,
		GPSProcessingMethod: `"ASCIIHYBRID-FIX"`,
		Make: `"HTC"`,
		Orientation: `1`,
		FileSource: `""`,
	},
	"2012-06-02-10-12-28-sep-2012-06-02-10-12-28.jpg": map[FieldName]string{
		DateTime: `"2012:06:02 10:12:28"`,
		ExposureProgram: `2`,
		XResolution: `"180/1"`,
		ISOSpeedRatings: `100`,
		ExifVersion: `"0230"`,
		CompressedBitsPerPixel: `"4/1"`,
		Flash: `16`,
		FocalLengthIn35mmFilm: `28`,
		Saturation: `0`,
		Model: `"DMC-FH25"`,
		ThumbJPEGInterchangeFormat: `11764`,
		MaxApertureValue: `"441/128"`,
		LightSource: `0`,
		FocalLength: `"50/10"`,
		ColorSpace: `1`,
		DateTimeOriginal: `"2012:06:02 10:12:28"`,
		MakerNote: `""`,
		SensingMethod: `2`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/10"`,
		SceneCaptureType: `0`,
		GainControl: `0`,
		Contrast: `0`,
		Software: `"Ver.1.0  "`,
		FNumber: `"33/10"`,
		Sharpness: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `636`,
		ExposureTime: `"10/4000"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		YResolution: `"180/1"`,
		ThumbJPEGInterchangeFormatLength: `7486`,
		ExposureBiasValue: `"0/100"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `3456`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Make: `"Panasonic"`,
		DateTimeDigitized: `"2012:06:02 10:12:28"`,
		PixelXDimension: `4608`,
		InteroperabilityIFDPointer: `10506`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		InteroperabilityIndex: `"R98"`,
	},
	"2010-06-08-04-44-24-sep-2010-06-08-04-44-24a.jpg": map[FieldName]string{
		ExifIFDPointer: `2314`,
		ExposureTime: `"10/400"`,
		CompressedBitsPerPixel: `"8/1"`,
		MeteringMode: `5`,
		Saturation: `0`,
		ImageDescription: `"                               "`,
		Model: `"DSC-S600"`,
		InteroperabilityIFDPointer: `6640`,
		CustomRendered: `0`,
		SceneCaptureType: `0`,
		Make: `"SONY"`,
		Orientation: `1`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `80`,
		ComponentsConfiguration: `""`,
		Contrast: `0`,
		FNumber: `"28/10"`,
		ExposureProgram: `2`,
		FileSource: `""`,
		SceneType: `""`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		DateTimeDigitized: `"2010:06:08 04:44:24"`,
		MakerNote: `""`,
		PixelXDimension: `2816`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2112`,
		YResolution: `"72/1"`,
		DateTime: `"2010:06:08 04:44:24"`,
		ExposureBiasValue: `"0/10"`,
		LightSource: `0`,
		FocalLength: `"51/10"`,
		ExifVersion: `"0221"`,
		DateTimeOriginal: `"2010:06:08 04:44:24"`,
		Flash: `31`,
		ExposureMode: `0`,
		Sharpness: `0`,
		ThumbJPEGInterchangeFormat: `6892`,
		ThumbJPEGInterchangeFormatLength: `4029`,
		MaxApertureValue: `"48/16"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
	},
	"2008-06-06-13-29-29-sep-2008-06-06-13-29-29a.jpg": map[FieldName]string{
		DateTimeOriginal: `"2008:06:06 13:29:29"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `3334`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Make: `"Canon"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		FNumber: `"35/10"`,
		CompressedBitsPerPixel: `"5/1"`,
		MeteringMode: `5`,
		MakerNote: `""`,
		UserComment: `""`,
		PixelXDimension: `1600`,
		SensingMethod: `2`,
		DateTimeDigitized: `"2008:06:06 13:29:29"`,
		ExposureBiasValue: `"0/3"`,
		PixelYDimension: `1200`,
		FocalPlaneResolutionUnit: `2`,
		Model: `"Canon DIGITAL IXUS 75"`,
		XResolution: `"180/1"`,
		ISOSpeedRatings: `80`,
		ExifVersion: `"0220"`,
		Flash: `16`,
		FocalPlaneYResolution: `"1200000/169"`,
		CustomRendered: `0`,
		DigitalZoomRatio: `"3072/3072"`,
		Orientation: `6`,
		ThumbJPEGInterchangeFormatLength: `6594`,
		MaxApertureValue: `"116/32"`,
		ThumbJPEGInterchangeFormat: `5108`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `196`,
		ExposureTime: `"1/320"`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		DateTime: `"2008:06:06 13:29:29"`,
		ShutterSpeedValue: `"266/32"`,
		ApertureValue: `"116/32"`,
		FocalLength: `"8462/1000"`,
		FlashpixVersion: `"0100"`,
		FocalPlaneXResolution: `"1600000/225"`,
		YResolution: `"180/1"`,
	},
	"2012-12-21-11-15-19-sep-IMG_0001.jpg": map[FieldName]string{
		ExposureBiasValue: `"0/1"`,
		FocalLength: `"24/1"`,
		ColorSpace: `1`,
		PixelYDimension: `3456`,
		Model: `"Canon EOS REBEL T4i"`,
		Artist: `""`,
		ThumbJPEGInterchangeFormatLength: `14327`,
		ShutterSpeedValue: `"327680/65536"`,
		FocalPlaneXResolution: `"5184000/894"`,
		InteroperabilityIFDPointer: `8806`,
		InteroperabilityIndex: `"R98"`,
		Make: `"Canon"`,
		DateTimeOriginal: `"2012:12:21 11:15:19"`,
		DateTimeDigitized: `"2012:12:21 11:15:19"`,
		PixelXDimension: `5184`,
		FocalPlaneResolutionUnit: `2`,
		ExifVersion: `"0230"`,
		MeteringMode: `5`,
		Flash: `16`,
		FocalPlaneYResolution: `"3456000/597"`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		GPSInfoIFDPointer: `9034`,
		SubSecTimeDigitized: `"00"`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"72/1"`,
		Copyright: `""`,
		ThumbJPEGInterchangeFormat: `10924`,
		ApertureValue: `"286720/65536"`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		MakerNote: `""`,
		UserComment: `""`,
		SubSecTime: `"00"`,
		CustomRendered: `0`,
		GPSVersionID: `[2,3,0,0]`,
		DateTime: `"2012:12:21 11:15:19"`,
		FNumber: `"45/10"`,
		ExposureProgram: `0`,
		SubSecTimeOriginal: `"00"`,
		ComponentsConfiguration: `""`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `360`,
		ExposureTime: `"1/30"`,
		ISOSpeedRatings: `1600`,
	},
	"2009-04-11-03-01-38-sep-2009-04-11-03-01-38a.jpg": map[FieldName]string{
		XResolution: `"300/1"`,
		ISOSpeedRatings: `227`,
		ExifVersion: `"0220"`,
		Flash: `24`,
		CustomRendered: `0`,
		DigitalZoomRatio: `"0/100"`,
		Orientation: `1`,
		ThumbJPEGInterchangeFormatLength: `9697`,
		ExposureProgram: `2`,
		MaxApertureValue: `"30/10"`,
		ThumbJPEGInterchangeFormat: `33660`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `230`,
		ExposureTime: `"1/250"`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		Software: `"COOLPIX L18 V1.1"`,
		DateTime: `"2009:04:11 03:01:38"`,
		LightSource: `0`,
		FocalLength: `"5700/1000"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"300/1"`,
		DateTimeOriginal: `"2009:04:11 03:01:38"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `33536`,
		ExposureMode: `0`,
		FocalLengthIn35mmFilm: `35`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		Make: `"NIKON"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Sharpness: `1`,
		FNumber: `"28/10"`,
		CompressedBitsPerPixel: `"4/1"`,
		MeteringMode: `5`,
		MakerNote: `""`,
		UserComment: `"       "`,
		PixelXDimension: `3264`,
		GainControl: `1`,
		Saturation: `0`,
		DateTimeDigitized: `"2009:04:11 03:01:38"`,
		SubjectDistanceRange: `0`,
		Model: `"COOLPIX L18"`,
		ExposureBiasValue: `"0/10"`,
		PixelYDimension: `2448`,
		ImageDescription: `"          "`,
	},
	"2010-09-02-08-43-02-sep-2010-09-02-08-43-02a.jpg": map[FieldName]string{
		Contrast: `0`,
		Make: `"OLYMPUS IMAGING CORP.  "`,
		DateTimeOriginal: `"2010:09:02 08:43:02"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `1714`,
		ExposureMode: `0`,
		SceneCaptureType: `3`,
		FNumber: `"53/10"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Sharpness: `0`,
		GainControl: `2`,
		Saturation: `0`,
		DateTimeDigitized: `"2010:09:02 08:43:02"`,
		CompressedBitsPerPixel: `"1/1"`,
		MeteringMode: `5`,
		MakerNote: `""`,
		UserComment: `"                                                                                                                             "`,
		PixelXDimension: `3264`,
		ImageDescription: `"OLYMPUS DIGITAL CAMERA         "`,
		Model: `"FE370,X880,C575        "`,
		ExposureBiasValue: `"0/10"`,
		PixelYDimension: `2448`,
		DigitalZoomRatio: `"0/100"`,
		Orientation: `1`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `800`,
		ExifVersion: `"0221"`,
		Flash: `65`,
		CustomRendered: `0`,
		ThumbJPEGInterchangeFormat: `9204`,
		ThumbJPEGInterchangeFormatLength: `3562`,
		ExposureProgram: `5`,
		MaxApertureValue: `"362/100"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `996`,
		ExposureTime: `"10/500"`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		YResolution: `"72/1"`,
		Software: `"Version 1.0                    "`,
		DateTime: `"2010:09:02 08:43:02"`,
		LightSource: `0`,
		FocalLength: `"210/10"`,
		FlashpixVersion: `"0100"`,
	},
	"2009-08-05-08-11-31-sep-2009-08-05-08-11-31a.jpg": map[FieldName]string{
		DateTimeOriginal: `"2009:08:05 08:11:31"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `1158`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Make: `"FUJIFILM"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `1`,
		Sharpness: `0`,
		FNumber: `"400/100"`,
		CompressedBitsPerPixel: `"20/10"`,
		BrightnessValue: `"719/100"`,
		MeteringMode: `5`,
		MakerNote: `"FUJIFILM0130" !"#,012NORMAL d"`,
		PixelXDimension: `2848`,
		SensingMethod: `2`,
		SubjectDistanceRange: `0`,
		DateTimeDigitized: `"2009:08:05 08:11:31"`,
		Copyright: `"    "`,
		ExposureBiasValue: `"0/100"`,
		PixelYDimension: `2136`,
		FocalPlaneResolutionUnit: `3`,
		Model: `"FinePix E550   "`,
		XResolution: `"72/1"`,
		ISOSpeedRatings: `100`,
		ExifVersion: `"0220"`,
		Flash: `16`,
		FocalPlaneYResolution: `"5292/1"`,
		CustomRendered: `0`,
		Orientation: `1`,
		ThumbJPEGInterchangeFormatLength: `8596`,
		ExposureProgram: `2`,
		MaxApertureValue: `"300/100"`,
		ThumbJPEGInterchangeFormat: `1306`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `294`,
		ExposureTime: `"10/3000"`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		Software: `"Digital Camera FinePix E550    Ver1.00"`,
		DateTime: `"2009:08:05 08:11:31"`,
		ShutterSpeedValue: `"820/100"`,
		ApertureValue: `"400/100"`,
		LightSource: `0`,
		FocalLength: `"720/100"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"72/1"`,
		FocalPlaneXResolution: `"5292/1"`,
	},
	"2006-11-11-19-17-56-sep-2006-11-11-19-17-56a.jpg": map[FieldName]string{
		LightSource: `0`,
		FocalLength: `"58/10"`,
		ColorSpace: `1`,
		PixelYDimension: `1536`,
		FileSource: `""`,
		Model: `"E3200"`,
		ThumbJPEGInterchangeFormatLength: `4546`,
		ExposureBiasValue: `"0/10"`,
		PixelXDimension: `2048`,
		InteroperabilityIFDPointer: `1026`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/100"`,
		GainControl: `0`,
		Make: `"NIKON"`,
		DateTimeOriginal: `"2006:11:11 19:17:56"`,
		DateTimeDigitized: `"2006:11:11 19:17:56"`,
		InteroperabilityIndex: `"R98"`,
		ImageDescription: `"          "`,
		Sharpness: `0`,
		ExifVersion: `"0220"`,
		MeteringMode: `5`,
		Flash: `25`,
		FocalLengthIn35mmFilm: `38`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormat: `4596`,
		MaxApertureValue: `"30/10"`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		MakerNote: `""`,
		UserComment: `"                                                                                                                     "`,
		CustomRendered: `1`,
		ExposureProgram: `2`,
		Software: `"E3200v1.1"`,
		DateTime: `"2006:11:11 19:17:56"`,
		FNumber: `"28/10"`,
		ISOSpeedRatings: `50`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"4/1"`,
		Saturation: `0`,
		XResolution: `"300/1"`,
		ExifIFDPointer: `284`,
		ExposureTime: `"10/601"`,
	},
	"2216-11-15-11-46-51-sep-2216-11-15-11-46-51a.jpg": map[FieldName]string{
		ExposureProgram: `2`,
		XResolution: `"480/1"`,
		ISOSpeedRatings: `80`,
		ExifVersion: `"0221"`,
		Flash: `24`,
		FocalLengthIn35mmFilm: `36`,
		Saturation: `0`,
		Model: `"KODAK EASYSHARE C813 ZOOM DIGITAL CAMERA"`,
		ThumbJPEGInterchangeFormat: `17818`,
		MaxApertureValue: `"286/100"`,
		LightSource: `0`,
		FocalLength: `"60/10"`,
		ColorSpace: `1`,
		Contrast: `0`,
		DateTimeOriginal: `"2216:11:15 11:46:51"`,
		MakerNote: `""`,
		SensingMethod: `2`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/10"`,
		SceneCaptureType: `0`,
		GainControl: `0`,
		Software: `"KODAK EASYSHARE C813 ZOOM DIGITAL CAMERA"`,
		FNumber: `"480/100"`,
		ExposureIndex: `"80/1"`,
		Sharpness: `0`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `2316`,
		ExposureTime: `"1016/1000000"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		FileSource: `""`,
		YResolution: `"480/1"`,
		ThumbJPEGInterchangeFormatLength: `5175`,
		ShutterSpeedValue: `"994/100"`,
		ApertureValue: `"452/100"`,
		ExposureBiasValue: `"0/10"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2472`,
		WhiteBalance: `0`,
		Make: `"EASTMAN KODAK COMPANY"`,
		DateTimeDigitized: `"2216:11:15 11:46:51"`,
		PixelXDimension: `3296`,
		InteroperabilityIFDPointer: `17674`,
		CustomRendered: `0`,
		ExposureMode: `0`,
	},
	"2013-02-05-23-12-09-sep-DSCI0001.jpg": map[FieldName]string{
		ApertureValue: `"3072/1000"`,
		MaxApertureValue: `"3072/1000"`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"288/3"`,
		Copyright: `"Copyright 2005"`,
		ThumbJPEGInterchangeFormat: `4974`,
		SceneCaptureType: `0`,
		MakerNote: `" BARCODE:A265KS008000; ZP:812; FP:124; AWB:235,679; PWB:476,304; PMF:12,11610; LV:493; LUM:3-8-9-8-1-11;20;26;19;10;A:1,F1:6,F2:18;ET:145, W:2, F:3 ;FV:        41FV:        36FV:        43FV:       223FV:       258FV:         9FV:       466FV:       216FP: 10FP:  8FP:  6FP:  6FP:  6FP:  0FP:  8FP:  8AFS: 110"`,
		SensingMethod: `2`,
		ExposureMode: `0`,
		ExposureProgram: `2`,
		Software: `"  1.0"`,
		DateTime: `"2013:02:05 23:12:09"`,
		FNumber: `"28/10"`,
		ISOSpeedRatings: `100`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"3766184/1920000"`,
		XResolution: `"288/3"`,
		ExifIFDPointer: `240`,
		ExposureTime: `"1/60"`,
		ExposureBiasValue: `"0/10"`,
		LightSource: `0`,
		FocalLength: `"5954/1000"`,
		ColorSpace: `1`,
		PixelYDimension: `1200`,
		Model: `"Polaroid i532"`,
		ThumbJPEGInterchangeFormatLength: `5863`,
		ShutterSpeedValue: `"5907/1000"`,
		FileSource: `""`,
		PixelXDimension: `1600`,
		InteroperabilityIFDPointer: `4838`,
		SceneType: `""`,
		DigitalZoomRatio: `"100/100"`,
		InteroperabilityIndex: `"R98"`,
		Make: `"Polaroid"`,
		DateTimeOriginal: `"2013:02:05 23:12:09"`,
		DateTimeDigitized: `"2013:02:05 23:12:09"`,
		ImageDescription: `""`,
		Sharpness: `0`,
		ExifVersion: `"0210"`,
		MeteringMode: `3`,
		Flash: `1`,
		FocalLengthIn35mmFilm: `35`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
	},
	"2009-06-20-07-59-05-sep-2009-06-20-07-59-05a.jpg": map[FieldName]string{
		MaxApertureValue: `"36/10"`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"480/1"`,
		ThumbJPEGInterchangeFormat: `9032`,
		ApertureValue: `"36/10"`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		MakerNote: `""`,
		SensingMethod: `2`,
		CustomRendered: `0`,
		FNumber: `"35/10"`,
		ExposureProgram: `2`,
		ExposureIndex: `"160/1"`,
		ISOSpeedRatings: `160`,
		ComponentsConfiguration: `""`,
		Saturation: `0`,
		XResolution: `"480/1"`,
		ExifIFDPointer: `514`,
		ExposureTime: `"1/500"`,
		ExposureBiasValue: `"0/3"`,
		LightSource: `0`,
		FocalLength: `"559/10"`,
		ColorSpace: `1`,
		PixelYDimension: `2304`,
		Model: `"KODAK EASYSHARE Z710 ZOOM DIGITAL CAMERA"`,
		ThumbJPEGInterchangeFormatLength: `4569`,
		ShutterSpeedValue: `"9/1"`,
		FileSource: `""`,
		PixelXDimension: `3072`,
		InteroperabilityIFDPointer: `8728`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/100"`,
		GainControl: `2`,
		Make: `"EASTMAN KODAK COMPANY"`,
		DateTimeOriginal: `"2009:06:20 07:59:05"`,
		DateTimeDigitized: `"2009:06:20 07:59:05"`,
		InteroperabilityIndex: `"R98"`,
		Sharpness: `0`,
		ExifVersion: `"0221"`,
		MeteringMode: `5`,
		Flash: `89`,
		FocalLengthIn35mmFilm: `337`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
	},
	"2012-09-21-22-07-34-sep-2012-09-21-22-07-34.jpg": map[FieldName]string{
		CompressedBitsPerPixel: `"3/1"`,
		MeteringMode: `5`,
		UserComment: `""`,
		InteroperabilityIndex: `"R98"`,
		ExifIFDPointer: `240`,
		ExposureTime: `"1/60"`,
		ShutterSpeedValue: `"189/32"`,
		FocalPlaneResolutionUnit: `2`,
		ImageDescription: `"                               "`,
		Model: `"Canon PowerShot SD940 IS"`,
		XResolution: `"180/1"`,
		ISOSpeedRatings: `500`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `3288`,
		FocalPlaneYResolution: `"2448000/183"`,
		CustomRendered: `0`,
		Make: `"Canon"`,
		Orientation: `1`,
		DigitalZoomRatio: `"4000/4000"`,
		SceneCaptureType: `2`,
		FNumber: `"28/10"`,
		FileSource: `""`,
		DateTimeDigitized: `"2012:09:21 22:07:34"`,
		MakerNote: `""`,
		PixelXDimension: `3264`,
		SensingMethod: `2`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ApertureValue: `"95/32"`,
		ExposureBiasValue: `"0/3"`,
		FocalLength: `"5000/1000"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `2448`,
		FocalPlaneXResolution: `"3264000/244"`,
		YResolution: `"180/1"`,
		DateTime: `"2012:09:21 22:07:34"`,
		Flash: `25`,
		ExposureMode: `0`,
		ExifVersion: `"0221"`,
		DateTimeOriginal: `"2012:09:21 22:07:34"`,
		MaxApertureValue: `"95/32"`,
		ColorSpace: `1`,
		WhiteBalance: `0`,
		ThumbJPEGInterchangeFormat: `5108`,
		ThumbJPEGInterchangeFormatLength: `4855`,
	},
	"2011-11-18-15-38-34-sep-Photo11181538.jpg": map[FieldName]string{
		Orientation: `1`,
		XResolution: `"72/1"`,
		ExifVersion: `"0220"`,
		CustomRendered: `1`,
		DigitalZoomRatio: `"0/0"`,
		ThumbJPEGInterchangeFormat: `642`,
		ThumbJPEGInterchangeFormatLength: `12226`,
		ExposureProgram: `2`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `204`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		YResolution: `"72/1"`,
		Software: `"M6290A-KPVMZL-2.6.0140T"`,
		FlashpixVersion: `"0100"`,
		Make: `"PANTECH"`,
		DateTimeOriginal: `"2011:11:18 15:38:34"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `518`,
		ExposureMode: `0`,
		Contrast: `1`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Sharpness: `0`,
		DateTimeDigitized: `"2011:11:18 15:38:34"`,
		BrightnessValue: `"0/1024"`,
		MeteringMode: `2`,
		PixelXDimension: `1600`,
		Saturation: `0`,
		Model: `"P2020"`,
		PixelYDimension: `1200`,
	},
	"2007-05-02-17-02-21-sep-2007-05-02-17-02-21a.jpg": map[FieldName]string{
		DateTime: `"2007:05:02 17:02:21"`,
		XResolution: `"180/1"`,
		ExifVersion: `"0220"`,
		CompressedBitsPerPixel: `"3/1"`,
		Flash: `9`,
		Model: `"Canon IXY DIGITAL 55"`,
		ThumbJPEGInterchangeFormat: `5108`,
		MaxApertureValue: `"107/32"`,
		FocalLength: `"7109/1000"`,
		ColorSpace: `1`,
		FocalPlaneXResolution: `"1600000/225"`,
		DateTimeOriginal: `"2007:05:02 17:02:21"`,
		MakerNote: `""`,
		SensingMethod: `2`,
		DigitalZoomRatio: `"2592/2592"`,
		SceneCaptureType: `0`,
		FNumber: `"32/10"`,
		FocalPlaneResolutionUnit: `2`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `196`,
		ExposureTime: `"1/60"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		FocalPlaneYResolution: `"1200000/168"`,
		YResolution: `"180/1"`,
		ThumbJPEGInterchangeFormatLength: `6306`,
		ShutterSpeedValue: `"189/32"`,
		ApertureValue: `"107/32"`,
		ExposureBiasValue: `"0/3"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1200`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Make: `"Canon"`,
		DateTimeDigitized: `"2007:05:02 17:02:21"`,
		UserComment: `""`,
		PixelXDimension: `1600`,
		InteroperabilityIFDPointer: `2226`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		InteroperabilityIndex: `"R98"`,
	},
	"2007-01-01-12-00-00-sep-2007-01-01-12-00-00a.jpg": map[FieldName]string{
		XResolution: `"480/1"`,
		ISOSpeedRatings: `200`,
		ExifVersion: `"0221"`,
		Flash: `25`,
		CustomRendered: `0`,
		DigitalZoomRatio: `"0/10"`,
		Orientation: `1`,
		ThumbJPEGInterchangeFormatLength: `3436`,
		ExposureProgram: `2`,
		MaxApertureValue: `"286/100"`,
		ExposureIndex: `"200/1"`,
		ThumbJPEGInterchangeFormat: `13848`,
		YCbCrPositioning: `2`,
		ExifIFDPointer: `340`,
		ExposureTime: `"8942/1000000"`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		Software: `"KODAK EASYSHARE C713 ZOOM DIGITAL CAMERA"`,
		ShutterSpeedValue: `"680/100"`,
		ApertureValue: `"286/100"`,
		LightSource: `0`,
		FocalLength: `"60/10"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"480/1"`,
		DateTimeOriginal: `"2007:01:01 12:00:00"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `13816`,
		ExposureMode: `0`,
		FocalLengthIn35mmFilm: `36`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		Make: `"EASTMAN KODAK COMPANY"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Sharpness: `0`,
		FNumber: `"270/100"`,
		MeteringMode: `5`,
		MakerNote: `""`,
		PixelXDimension: `1280`,
		SensingMethod: `2`,
		GainControl: `2`,
		Saturation: `0`,
		SubjectDistanceRange: `0`,
		DateTimeDigitized: `"2007:01:01 12:00:00"`,
		ExposureBiasValue: `"0/10"`,
		PixelYDimension: `960`,
		Model: `"KODAK EASYSHARE C713 ZOOM DIGITAL CAMERA"`,
	},
	"f6-exif.jpg": map[FieldName]string{
		PixelYDimension: `0`,
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		ColorSpace: `65535`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
		PixelXDimension: `0`,
		Orientation: `6`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
	},
	"2006-12-10-23-58-20-sep-2006-12-10-23-58-20a.jpg": map[FieldName]string{
		FNumber: `"28/10"`,
		FocalPlaneResolutionUnit: `2`,
		FocalPlaneYResolution: `"1704000/210"`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `196`,
		ExposureTime: `"1/80"`,
		ComponentsConfiguration: `""`,
		MeteringMode: `5`,
		FileSource: `""`,
		YResolution: `"180/1"`,
		ThumbJPEGInterchangeFormatLength: `6465`,
		ShutterSpeedValue: `"202/32"`,
		ApertureValue: `"95/32"`,
		ExposureBiasValue: `"0/3"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1704`,
		WhiteBalance: `0`,
		InteroperabilityIndex: `"R98"`,
		Make: `"Canon"`,
		DateTimeDigitized: `"2006:12:10 23:58:20"`,
		UserComment: `""`,
		PixelXDimension: `2272`,
		InteroperabilityIFDPointer: `1844`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		DateTime: `"2006:12:10 23:58:20"`,
		XResolution: `"180/1"`,
		ExifVersion: `"0220"`,
		CompressedBitsPerPixel: `"3/1"`,
		Flash: `24`,
		Model: `"Canon PowerShot A80"`,
		ThumbJPEGInterchangeFormat: `2036`,
		MaxApertureValue: `"95/32"`,
		FocalLength: `"250/32"`,
		ColorSpace: `1`,
		FocalPlaneXResolution: `"2272000/280"`,
		DateTimeOriginal: `"2006:12:10 23:58:20"`,
		MakerNote: `""`,
		SensingMethod: `2`,
		DigitalZoomRatio: `"2272/2272"`,
		SceneCaptureType: `0`,
	},
	"2008-06-17-01-21-30-sep-2008-06-17-01-21-30a.jpg": map[FieldName]string{
		FlashpixVersion: `"0100"`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormat: `1041`,
		MaxApertureValue: `"30/10"`,
		UserComment: `""`,
		ExposureProgram: `2`,
		Software: `"A520_CT019"`,
		DateTime: `"2008:06:17 01:22:13"`,
		FNumber: `"28/10"`,
		ISOSpeedRatings: `100`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"2/1"`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `253`,
		ExposureTime: `"10/326"`,
		LightSource: `0`,
		FocalLength: `"645/100"`,
		ColorSpace: `1`,
		PixelYDimension: `1944`,
		FileSource: `""`,
		Model: `"5MP Digital Camera"`,
		ThumbJPEGInterchangeFormatLength: `13506`,
		ExposureBiasValue: `"0/10"`,
		PixelXDimension: `2592`,
		InteroperabilityIFDPointer: `1011`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		Make: `"Polaroid"`,
		DateTimeOriginal: `"2008:06:17 01:21:30"`,
		DateTimeDigitized: `"2008:06:17 01:21:30"`,
		ImageDescription: `"DCFC1247.JPG                   "`,
		ExifVersion: `"0220"`,
		MeteringMode: `2`,
		Flash: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
	},
	"2012-12-19-21-38-40-sep-temple_square1.jpg": map[FieldName]string{
		ColorSpace: `1`,
		PixelYDimension: `1952`,
		GPSDateStamp: `"2012:12:20"`,
		Model: `"ADR6400L"`,
		ThumbJPEGInterchangeFormatLength: `38469`,
		FocalLength: `"457/100"`,
		PixelXDimension: `3264`,
		InteroperabilityIFDPointer: `322`,
		GPSLatitude: `["40/1","46/1","1322/100"]`,
		InteroperabilityIndex: `"R98"`,
		Make: `"HTC"`,
		DateTimeOriginal: `"2012:12:19 21:38:40"`,
		DateTimeDigitized: `"2012:12:19 21:38:40"`,
		GPSLatitudeRef: `"N"`,
		GPSLongitude: `["111/1","53/1","2840/100"]`,
		ExifVersion: `"0220"`,
		GPSLongitudeRef: `"W"`,
		GPSProcessingMethod: `"ASCIIGPS"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		GPSInfoIFDPointer: `352`,
		GPSAltitudeRef: `0`,
		GPSMapDatum: `"WGS-84"`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormat: `696`,
		FlashpixVersion: `"0100"`,
		GPSVersionID: `[2,2,0]`,
		ComponentsConfiguration: `""`,
		GPSAltitude: `"1334/1"`,
		GPSTimeStamp: `["4/1","38/1","40/1"]`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `136`,
		ISOSpeedRatings: `801`,
	},
	"2007-11-07-11-40-44-sep-2007-11-07-11-40-44a.jpg": map[FieldName]string{
		MaxApertureValue: `"360/100"`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"72/1"`,
		Copyright: `"    "`,
		ThumbJPEGInterchangeFormat: `1306`,
		ApertureValue: `"600/100"`,
		SceneCaptureType: `0`,
		MakerNote: `""`,
		SensingMethod: `2`,
		CustomRendered: `1`,
		ExposureMode: `0`,
		Software: `"Digital Camera FinePix Z1      Ver1.00"`,
		DateTime: `"2007:11:07 11:40:44"`,
		FNumber: `"800/100"`,
		ExposureProgram: `2`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"20/10"`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `294`,
		ExposureTime: `"10/2000"`,
		ISOSpeedRatings: `64`,
		LightSource: `0`,
		FocalLength: `"610/100"`,
		ColorSpace: `1`,
		PixelYDimension: `1944`,
		Model: `"FinePix Z1     "`,
		ThumbJPEGInterchangeFormatLength: `9900`,
		ShutterSpeedValue: `"764/100"`,
		ExposureBiasValue: `"0/100"`,
		FocalPlaneXResolution: `"4442/1"`,
		FileSource: `""`,
		PixelXDimension: `2592`,
		InteroperabilityIFDPointer: `1158`,
		SceneType: `""`,
		InteroperabilityIndex: `"R98"`,
		Make: `"FUJIFILM"`,
		DateTimeOriginal: `"2007:11:07 11:40:44"`,
		DateTimeDigitized: `"2007:11:07 11:40:44"`,
		BrightnessValue: `"906/100"`,
		FocalPlaneResolutionUnit: `3`,
		Sharpness: `0`,
		MeteringMode: `5`,
		Flash: `16`,
		FocalPlaneYResolution: `"4442/1"`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifVersion: `"0220"`,
	},
	"f8-exif.jpg": map[FieldName]string{
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		ColorSpace: `65535`,
		PixelYDimension: `0`,
		PixelXDimension: `0`,
		Orientation: `8`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
	},
	"f3-exif.jpg": map[FieldName]string{
		ColorSpace: `65535`,
		PixelYDimension: `0`,
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
		PixelXDimension: `0`,
		Orientation: `3`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
	},
	"f4-exif.jpg": map[FieldName]string{
		ColorSpace: `65535`,
		PixelYDimension: `0`,
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
		PixelXDimension: `0`,
		Orientation: `4`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
	},
	"2099-08-12-19-59-29-sep-2099-08-12-19-59-29a.jpg": map[FieldName]string{
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormat: `28588`,
		MaxApertureValue: `"36/10"`,
		SubSecTimeDigitized: `"00"`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Contrast: `1`,
		MakerNote: `""`,
		UserComment: `"ASCII                                    "`,
		SubSecTime: `"00"`,
		SensingMethod: `2`,
		SubSecTimeOriginal: `"00"`,
		Software: `"Ver.1.00 "`,
		DateTime: `"2099:08:12 19:59:29"`,
		FNumber: `"35/10"`,
		ExposureProgram: `0`,
		CompressedBitsPerPixel: `"2/1"`,
		Saturation: `0`,
		XResolution: `"300/1"`,
		ExifIFDPointer: `216`,
		ExposureTime: `"10/600"`,
		ComponentsConfiguration: `""`,
		FocalLength: `"180/10"`,
		ColorSpace: `1`,
		PixelYDimension: `2000`,
		FileSource: `""`,
		Model: `"NIKON D70s"`,
		ThumbJPEGInterchangeFormatLength: `8886`,
		ExposureBiasValue: `"0/6"`,
		LightSource: `0`,
		InteroperabilityIFDPointer: `28448`,
		SceneType: `""`,
		CFAPattern: `""`,
		DigitalZoomRatio: `"1/1"`,
		Make: `"NIKON CORPORATION"`,
		DateTimeOriginal: `"2099:08:12 19:59:29"`,
		DateTimeDigitized: `"2099:08:12 19:59:29"`,
		PixelXDimension: `3008`,
		GainControl: `0`,
		InteroperabilityIndex: `"R98"`,
		Sharpness: `0`,
		MeteringMode: `5`,
		Flash: `31`,
		FocalLengthIn35mmFilm: `27`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		ExifVersion: `"0221"`,
	},
	"f7-exif.jpg": map[FieldName]string{
		PixelYDimension: `0`,
		YResolution: `"72/1"`,
		DateTime: `"2012:11:04 05:42:32"`,
		FlashpixVersion: `"0100"`,
		ColorSpace: `65535`,
		ExifIFDPointer: `134`,
		ExifVersion: `"0210"`,
		ComponentsConfiguration: `""`,
		PixelXDimension: `0`,
		Orientation: `7`,
		XResolution: `"72/1"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
	},
	"2007-08-15-14-42-46-sep-2007-08-15-14-42-46a.jpg": map[FieldName]string{
		XResolution: `"230/1"`,
		CustomRendered: `0`,
		DigitalZoomRatio: `"0/100"`,
		ISOSpeedRatings: `80`,
		ExifVersion: `"0221"`,
		Flash: `24`,
		Orientation: `1`,
		ThumbJPEGInterchangeFormatLength: `3060`,
		ExposureProgram: `2`,
		MaxApertureValue: `"37/10"`,
		ExposureIndex: `"80/1"`,
		ThumbJPEGInterchangeFormat: `8472`,
		YCbCrPositioning: `1`,
		ExifIFDPointer: `320`,
		ExposureTime: `"1/160"`,
		SceneType: `""`,
		ResolutionUnit: `2`,
		ShutterSpeedValue: `"73/10"`,
		ApertureValue: `"37/10"`,
		LightSource: `0`,
		FocalLength: `"110/10"`,
		FlashpixVersion: `"0100"`,
		YResolution: `"230/1"`,
		ExposureMode: `0`,
		FocalLengthIn35mmFilm: `66`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		DateTimeOriginal: `"2007:08:15 14:42:46"`,
		ComponentsConfiguration: `""`,
		Make: `"EASTMAN KODAK COMPANY"`,
		Sharpness: `0`,
		FNumber: `"36/10"`,
		ColorSpace: `1`,
		FileSource: `""`,
		WhiteBalance: `0`,
		Saturation: `0`,
		SubjectDistanceRange: `0`,
		DateTimeDigitized: `"2007:08:15 14:42:46"`,
		MeteringMode: `5`,
		MakerNote: `""`,
		PixelXDimension: `2832`,
		SensingMethod: `2`,
		GainControl: `0`,
		ExposureBiasValue: `"0/3"`,
		PixelYDimension: `2128`,
		Model: `"KODAK C663 ZOOM DIGITAL CAMERA"`,
	},
	"2007-05-12-08-19-07-sep-2007-05-12-08-19-07a.jpg": map[FieldName]string{
		LightSource: `0`,
		FocalLength: `"630/100"`,
		ColorSpace: `1`,
		PixelYDimension: `480`,
		FileSource: `""`,
		Model: `"EX-Z70     "`,
		ThumbJPEGInterchangeFormatLength: `8332`,
		ExposureBiasValue: `"0/3"`,
		PixelXDimension: `640`,
		InteroperabilityIFDPointer: `27298`,
		DigitalZoomRatio: `"0/0"`,
		GainControl: `2`,
		InteroperabilityIndex: `"R98"`,
		Make: `"CASIO COMPUTER CO.,LTD."`,
		DateTimeOriginal: `"2007:05:12 08:19:07"`,
		DateTimeDigitized: `"2007:06:17 22:56:38"`,
		Sharpness: `0`,
		ExifVersion: `"0221"`,
		MeteringMode: `5`,
		Flash: `16`,
		FocalLengthIn35mmFilm: `38`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `1`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"72/1"`,
		ThumbJPEGInterchangeFormat: `27422`,
		MaxApertureValue: `"33/10"`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		MakerNote: `""`,
		CustomRendered: `0`,
		ExposureMode: `0`,
		ExposureProgram: `2`,
		Software: `"1.00             "`,
		DateTime: `"2007:06:17 22:56:38"`,
		FNumber: `"31/10"`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"252746/307200"`,
		Saturation: `0`,
		XResolution: `"72/1"`,
		ExifIFDPointer: `282`,
		ExposureTime: `"1/50"`,
	},
	"2007-05-30-14-28-01-sep-2007-05-30-14-28-01a.jpg": map[FieldName]string{
		LightSource: `0`,
		FocalLength: `"58/10"`,
		ColorSpace: `1`,
		PixelYDimension: `2112`,
		FileSource: `""`,
		Model: `"COOLPIX S6"`,
		ThumbJPEGInterchangeFormatLength: `5274`,
		ExposureBiasValue: `"0/10"`,
		PixelXDimension: `2816`,
		InteroperabilityIFDPointer: `1026`,
		SceneType: `""`,
		DigitalZoomRatio: `"0/100"`,
		GainControl: `1`,
		Make: `"NIKON"`,
		DateTimeOriginal: `"2007:05:30 14:28:01"`,
		DateTimeDigitized: `"2007:05:30 14:28:01"`,
		InteroperabilityIndex: `"R98"`,
		ImageDescription: `"          "`,
		Sharpness: `0`,
		ExifVersion: `"0220"`,
		MeteringMode: `5`,
		Flash: `16`,
		FocalLengthIn35mmFilm: `35`,
		SubjectDistanceRange: `0`,
		Orientation: `1`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		FlashpixVersion: `"0100"`,
		WhiteBalance: `0`,
		YResolution: `"300/1"`,
		ThumbJPEGInterchangeFormat: `4596`,
		MaxApertureValue: `"32/10"`,
		ExposureMode: `0`,
		SceneCaptureType: `0`,
		Contrast: `0`,
		MakerNote: `""`,
		UserComment: `"                                                                                                                     "`,
		CustomRendered: `0`,
		ExposureProgram: `2`,
		Software: `"COOLPIX S6V1.0"`,
		DateTime: `"2007:05:30 14:28:01"`,
		FNumber: `"30/10"`,
		ISOSpeedRatings: `53`,
		ComponentsConfiguration: `""`,
		CompressedBitsPerPixel: `"2/1"`,
		Saturation: `0`,
		XResolution: `"300/1"`,
		ExifIFDPointer: `284`,
		ExposureTime: `"10/40"`,
	},
	"2008-09-02-17-43-48-sep-2008-09-02-17-43-48a.jpg": map[FieldName]string{
		ExifIFDPointer: `302`,
		DateTimeDigitized: `"2008:09:02 17:43:48"`,
		PixelXDimension: `1280`,
		InteroperabilityIndex: `"R98"`,
		ResolutionUnit: `2`,
		YCbCrPositioning: `2`,
		YResolution: `"72/1"`,
		Software: `"R6GA004     prgCXC1250583_GENERIC_M 2.0"`,
		DateTime: `"2008:09:02 17:43:48"`,
		FlashpixVersion: `"0100"`,
		PixelYDimension: `1024`,
		ImageDescription: `"                               "`,
		Model: `"Z550a"`,
		XResolution: `"72/1"`,
		ExifVersion: `"0220"`,
		DateTimeOriginal: `"2008:09:02 17:43:48"`,
		ComponentsConfiguration: `""`,
		InteroperabilityIFDPointer: `612`,
		Make: `"Sony Ericsson"`,
		Orientation: `1`,
		ColorSpace: `1`,
		ThumbJPEGInterchangeFormat: `748`,
		ThumbJPEGInterchangeFormatLength: `4641`,
	},
}
